### Method

# Pango Renderer activate

since: 1.8

#### Declaration [src]

    void
    pango_renderer_activate (
      PangoRenderer* renderer
    )

#### Description [src]

Does initial setup before rendering operations on `renderer`.

`pango_renderer_deactivate()` should be called when done drawing. Calls such as `pango_renderer_draw_layout()` automatically activate the layout before drawing on it.

Calls to `pango_renderer_activate()` and `pango_renderer_deactivate()` can be nested and the renderer will only be initialized and deinitialized once.

Available since: 1.8